package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 银行账户 Excel VO
 *
 * @author 久点源码
 */
@Data
public class BankAccountExcelVO {

    @ExcelProperty("银行账号编号")
    private Long id;

    @ExcelProperty("户名")
    private String baAccountName;

    @ExcelProperty("开户银行")
    private String baBankName;

    @ExcelProperty("银行账号")
    private String baAccountNum;

    @ExcelProperty("银行代码")
    private String baSwiftCode;

    @ExcelProperty("开户银行地址")
    private String baBankAdd;

    @ExcelProperty("类型字典（1公账,2私账）")
    private Integer baType;

//    @ExcelProperty("数据来源字典（pc端，mobile端）")
//    private String source;

    @ExcelProperty("状态（0正常 1停用）")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("开户国家")
    private Integer baCountry;

    @ExcelProperty("收入归属")
    private Integer baIncomeBelong;

    @ExcelProperty("币种")
    private Integer baCurrency;

    @ExcelProperty("余额")
    private java.math.BigDecimal baBalance;

}
