package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 银行账户 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BankAccountRespVO extends BankAccountBaseVO {

    @ApiModelProperty(value = "银行账号编号", required = true)
    private Long id;

//    @ApiModelProperty(value = "数据来源字典（pc端，mobile端）", required = true)
//    private String source;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "开户国家中文")
    private String baCountryZh;

    @ApiModelProperty(value = "开户国家英文")
    private String baCountryEn;

    @ApiModelProperty(value = "收入归属中文")
    private String baIncomeBelongZh;

    @ApiModelProperty(value = "收入归属英文")
    private String baIncomeBelongEn;

}
